Subject: bug#17084: Fw: bug#17084: It must be a bug

From: Jakub Jankiewicz <[email-masked]>
Date: Mon, 24 Mar 2014 17:42:14 +0100

Forget about the list.

Begin forwarded message:

Date: Mon, 24 Mar 2014 17:30:58 +0100
From: Jakub Jankiewicz <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Subject: Re: bug#17084: It must be a bug

It pup up message with `unread-command-char` `debug-on-error' have no effect,
it don't enter debuger. And it have nothing to do with my config since when I
load .emacs file using load-file it work fine, I enter debuger. Also I run
emacs with --debug-init.

So it's wrong message and debuger don't work.

The *Messages* have:

Entering debugger...
message: Symbol's value as variable is void: unread-command-char

also *Backtrace* buffer is empty and it's not show up. I have the same when I
try to execute non-exiting function:

(foobar)

foobar: Symbol's value as variable is void: unread-command-char

It's Emacs fault since my .emacs run fine when I run it using load-file.

PS: are there other files that Emacs can run on init, maybe I miss something?

On Mon, 24 Mar 2014 16:53:41 +0100
Michael Heerdegen <[email-masked]> wrote:

> Jakub Jankiewicz <[email-masked]> writes:
> 
> > When I run emacs -q and run M-x load-file "~/.emacs" I don't get that
> > message and have normal message with backtrace.
> 
> I'm not sure what this bug report is exactly about.  That the debugger
> doesn't pop up in your situation?  Note that this is controlled by the
> user option `debug-on-error'.
> 
> Or is it about the error you get about `unread-command-char' when
> loading your Emacs?  Then you should bisect your config file and try to
> find out what causes the error, i.e., please post a recipe starting from
> emacs -Q reproducing the problem.  Also a backtrace of the error you get
> would be helpful.
> 
> Michael.

--
Jakub Jankiewicz, Web Developer
http://jcubic.pl

--
Jakub Jankiewicz, Web Developer
http://jcubic.pl